Subject: [manet] Re: [Manet-dt] Question and Comment on OLSRv2-03

From: Thomas Heide Clausen <[email-masked]>
Date: Tue, 12 Jun 2007 12:23:17 +0200

Dear Kenichi,

Thank you for your comments and apologies for the slightly belated  
reply. As I am sure you have noticed, we have reissued NHDP taking a  
lot of the comments provided by Owada-san, Satoh-san and others into  
account, and I think included also clarifications on the comments you  
have below.

Regarding OLSRv2, we have been putting that a bit on a side, with the  
objective to get work done on packetbb and nhdp, which we want to get  
completed ASAP. Your comments on OLSRv2 are noted, and we will get  
back to you on those in short order.

Thank you again for your comments and corrections,

Thomas

On 31Mar , 2007, at 6:33 AM, mase wrote:

> Dear Thomas and all,
>
> I have some questions and comments on OLSRv2-03 and NHDP-02.
>
> 1. Local interface block in NHDP
> The following description
> "The first address block of the Local Interface Block MUST contain  
> the used address of the interface over which theHELLO message is  
> transmitted." was deleted in the -02 draft.
>
> Does this mean that the address must be included in the same order  
> in all copies of a given HELLO message, regardless of which OLSRv2  
> nterface it is transmitted on?
>
> If so, the description in 9.2 of OLSRv2 -03 should be modified  
> because there is now no clear distinction in terms of the order of  
> addresses in the first address block between HELLO and TC messages.
>
> 2. Attached networks in OLSRv2
>
> One of the main changes from -02 to -03 is "Local attached network  
> advertisement may be delegated to MPRs."
>
> To do this, information on local attached network of a node is  
> advertised in the Local  Interface Block of the HELLO messages.  
> However, it is not clear which information base is poplulated  when  
> this information is received by a MPR of this node. It is also not  
> clear how this information is carried by TC messages of the MPR.  
> Does the first address block or other address block of TC messages  
> carry this information? If the latter, It is also needed to modifiy  
> 13.1.3 of OLSRv2-03 since the gateway to the attached network is  
> not the MPR itself but the original node with the attaced network.
>
> Am I missing something?
>
> I also have a question with reagard to attached network  
> advertisement in HELLO messages. Why may attached networks with  
> dist>0 not be advertized in HELLO messages?
>
>
> 3. "Local Attached Neighbor Tuple" in 12 of OLSRv2-03 should be  
> "Local Attached Nework Tuple".
>
> Thanks,
> Kenichi
>
>
>
>
>
>
>
>
> _______________________________________________
> Manet-dt mailing list
> [email-masked]
> https://www1.ietf.org/mailman/listinfo/manet-dt
>

-- 
Thomas Clausen
[email-masked]
http://www.lix.polytechnique.fr/Labo/Thomas.Clausen/
http://www.lix.polytechnique.fr/hipercom/

_______________________________________________
manet mailing list
[email-masked]
https://www1.ietf.org/mailman/listinfo/manet

---

From: "Dearlove, Christopher \(UK\)" <[email-masked]>
Date: Tue, 12 Jun 2007 13:27:18 +0100

One key point here is that nhdp-03 is now, I think, technically
essentially finished. However olsrv2-03 needs updating to be
consistent with nhdp-03. Fortunately this won't be as big a
job as the update to nhdp-03. Some specific comments.

> Does this mean that the address must be included in the same
> order in all copies of a given HELLO message, regardless of 
> hich OLSRv2 nterface it is transmitted on?

No. There's no constraint stated, so there is no constraint.
You can put them in any order. And note that there are no
different interface copies of a HELLO message, HELLO messages
are generated independently on each interface, they aren't the
same, and may not be sent at the same time either (but they
may be, but are still different).

> If so, the description in 9.2 of OLSRv2 -03 should be modified

That's one of those things that needs checking. But TC messages
are the same on all interfaces, including having the same ordering.
Any ordering, but the same.

> However, it is not clear which information base is poplulated
> when this information is received by a MPR of this node.

I think it is explained. But when we're revising the document
we'll bear that comment in mind, and check it.

> advertisement in HELLO messages. Why may attached networks
> with dist>0 not be advertized in HELLO messages?

The main reason is that you can do this for free in a HELLO
message without modifying NHDP in this case. (In fact arguably
we now should just say "treat it as a local non-MANET interface
and put it in the Local Interface Set rather than the Local
Attached Network Set. That's something we're thinking about.)
To do it for dist>0 in a HELLO message is more tricky, although
it can be done it may be unnecessarily complicating.

> 3. "Local Attached Neighbor Tuple" in 12 of OLSRv2-03
> should be "Local Attached Nework Tuple".

Thanks.

********************************************************************
This email and any attachments are confidential to the intended
recipient and may also be privileged. If you are not the intended
recipient please delete it from your system and notify the sender.
You should not copy it or use it for any purpose nor disclose or
distribute its contents to any other person.
********************************************************************